/**
 * Created by Administrator on 2017/6/27.
 */
var dbhelper =require('andon-bluetooth-database');


/**
 * 新增扫描设备，存入缓存
 * @param args
 */
exports.insertDeviceInfodb = function (args) {
    dbhelper.insertMongo('DeviceInfo', args, function (result) {
        if (result === "ok") {
            console.log("新增扫描设备成功！")
        }
        else {
            console.log("新增扫描设备失败，原因：" + result);
        }
    });
}

/**
 * 判断mac是否存在
 * @param callback
 */
exports.isDeviceExsit = function (mac, callback) {
    dbhelper.selectMongo('DeviceInfo', {"mac": mac},{}, function (result) {
        callback(result);
        console.log("判断mac是否存在操作成功！")
    });
}

/**
 * 新增连接记录，经典蓝牙
 * @param args
 */
exports.insert_bt_connect = function (args) {
    dbhelper.insertMongo('BtConnectTimers', args, function (result) {
        if (result === "ok") {
            console.log("新增连接记录成功！")
        }
        else {
            console.log("新增连接记录失败，原因：" + result);
        }
    });
}

/**
 * 更新最新一条连接记录，检点蓝牙
 * @param callback
 */
exports.updatalast_bt_connect = function (args) {
    dbhelper.updataMongo('BtConnectTimers', {"time": args["time"]}, {$set: {"ble_down": args["ble_down"]}}, function (result) {
        if (result === "ok") {
            console.log("更新最新一条连接记录成功！")
        }
        else {
            console.log("更新最新一条连接记录失败，原因：" + result);
        }
    });
}

/**
 * 更新连接统计数据，经典蓝牙
 * @param args
 */
exports.updateStatistics_bt_connect = function (args) {
    var data = [args];
    dbhelper.updateMongoWithOption('BtConnectStatistics', {"mac": data[0]["mac"],
        "flag":data[0]["flag"],
        "mi":data[0]["mi"],
        "mobile":data[0]["mobile"],
        "name":data[0]["name"],
    }, {$inc: data[0]["inc"]},{upsert:true}, function (result) {
        if (result === "ok") {
            console.log("更新统计信息成功！")
        }
        else {
            console.log("更新统计信息失败，原因：" + result);
        }
    });
}

/**
 * 新增连接记录，低功耗蓝牙
 * @param args
 */
exports.insert_ble_connect = function (args) {
    dbhelper.insertMongo('BleConnectTimers', args, function (result) {
        if (result === "ok") {
            console.log("新增扫描记录成功！")
        }
        else {
            console.log("新增扫描记录失败，原因：" + result);
        }
    });
}

/**
 * 更新最新一条扫描记录，低功耗蓝牙
 * @param callback
 */
exports.updatalast_ble_connect = function (args) {
    dbhelper.updataMongo('BleConnectTimers', {"time": args["time"]}, {$set: {"ble_down": args["ble_down"]}}, function (result) {
        if (result === "ok") {
            console.log("更新最新一条扫描记录成功！")
        }
        else {
            console.log("更新最新一条扫描记录失败，原因：" + result);
        }
    });
}

/**
 * 更新连接统计数据，低功耗蓝牙
 * @param args
 */
exports.updateStatistics_ble_connect = function (args) {
    var data = [args];
    dbhelper.updateMongoWithOption('BleConnectStatistics', {"mac": data[0]["mac"],
        "flag":data[0]["flag"],
        "mi":data[0]["mi"],
        "mobile":data[0]["mobile"],
        "name":data[0]["name"],
        "userid":data[0]["userid"]
    }, {$inc: data[0]["inc"]},{upsert:true}, function (result) {
        if (result === "ok") {
            console.log("更新统计信息成功！")
        }
        else {
            console.log("更新统计信息失败，原因：" + result);
        }
    });
}

/**
 * 新增扫描记录，低功耗蓝牙
 * @param args
 */
exports.insert_ble_scan=function (args) {
    dbhelper.insertMongo('BleScanRecord', args, function (result) {
        if (result === "ok") {
            console.log("lesan新增扫描记录成功！");
        }
        else {
            console.log("lesan新增扫描记录失败，原因：" + JSON.stringify(result));
        }
    });
}


